Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.actions
Class PageDefinitionAction

    java.lang.Object
      com.bea.portal.tools.portal.actions.PortalControlAction
          com.bea.portal.tools.portal.actions.PageDefinitionAction

All Implemented Interfaces
  ControlAction

    public class PageDefinitionAction

extends PortalControlAction

Objects extending this class implement actions to be taken on portal controls. These may be used to specify multiple actions which need to occur in a single transactioni by calling the Portal controls' executeActions() method.

Method Summary
`static PageDefinitionAction` | `addPlaceableToPageDefinition(PageDefinitionControl control, PlaceableDefinitionId placeableId, int placeholder, int position, PageDefinitionId pageId)` Adds an existing book or portlet to the specified page definition when the action is executed.
`static PageDefinitionAction` | `createPageDefinition(PageDefinitionControl control, String title, String description, LayoutDefinitionId layoutDefinitionId, boolean _public, String webapp)`
`static PageDefinitionAction` | `deletePageDefinition(PageDefinitionControl control, PageDefinitionId id, boolean cascadeDelete)` Deletes a PageDefinition when the action is executed.
`void` | `doAction(ResourceContext context)` Method that actually performs the action on the control.
`static PageDefinitionAction` | `movePlaceableInPageDefinition(PageDefinitionControl control, PlaceableInstanceId placeableId, int placeholder, int position, PageDefinitionId pageId)` Used to change the position of a book or portlet in a page when the action is executed.
`static PageDefinitionAction` | `removePlaceableFromPageDefinition(PageDefinitionControl control, PlaceableInstanceId placeableId, PageDefinitionId pageId)` Removes a book or portlet from a page definition when the action is executed.
`static PageDefinitionAction` | `removePlaceholderLock(PageDefinitionControl control, int placeholder, PageDefinitionId pageId, String webApp)` Removes the update security policy on a placeholder when the action is executed.
`static PageDefinitionAction` | `setPlaceholderLock(PageDefinitionControl control, int placeholder, PageDefinitionId pageId, String webApp)` Creates an update secuity policy on a placholder when the action is executed.
`String` | `toString()`
`static PageDefinitionAction` | `updatePageDefinitionLayout(PageDefinitionControl control, LayoutDefinitionId layoutId, PageDefinitionId pageId)` Updates the layout of the page definition when the action is executed.
`static PageDefinitionAction` | `updatePageDefinitionTheme(PageDefinitionControl control, ThemeDefinitionId themeId, PageDefinitionId pageId, boolean hidden)` Updates the page definition's theme when the action is executed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### createPageDefinition

    public static PageDefinitionAction createPageDefinition(PageDefinitionControl control,
                                                            String title,
                                                            String description,
                                                            LayoutDefinitionId layoutDefinitionId,
                                                            boolean _public,
                                                            String webapp)

### deletePageDefinition

    public static PageDefinitionAction deletePageDefinition(PageDefinitionControl control,
                                                            PageDefinitionId id,
                                                            boolean cascadeDelete)

  Deletes a PageDefinition when the action is executed.

  Parameters
    `control` - the control to execute the action on.
    `id` - the ID of the page to delete
    `cascadeDelete` - True enabled cascading deletes.

### updatePageDefinitionLayout

    public static PageDefinitionAction updatePageDefinitionLayout(PageDefinitionControl control,
                                                                  LayoutDefinitionId layoutId,
                                                                  PageDefinitionId pageId)

  Updates the layout of the page definition when the action is executed.

  Parameters
    `control` - the control to execute the action on.
    `layoutId` - The layout id to update
    `pageId` - the ID of the page.

### updatePageDefinitionTheme

    public static PageDefinitionAction updatePageDefinitionTheme(PageDefinitionControl control,
                                                                 ThemeDefinitionId themeId,
                                                                 PageDefinitionId pageId,
                                                                 boolean hidden)

  Updates the page definition's theme when the action is executed.

  Parameters
    `control` - the control to execute the action on.
    `themeId` - The new theme id.
    `pageId` - the ID of the page.

### addPlaceableToPageDefinition

    public static PageDefinitionAction addPlaceableToPageDefinition(PageDefinitionControl control,
                                                                    PlaceableDefinitionId placeableId,
                                                                    int placeholder,
                                                                    int position,
                                                                    PageDefinitionId pageId)

  Adds an existing book or portlet to the specified page definition when the action is executed.

  Parameters
    `control` - the control to execute the action on.
    `placeableId` - The id of the book or portlet to add.
    `placeholder` - The index of the placeholder on the page.
    `position` - The position of the placeable within the placeholder.
    `pageId` - the ID of the page to add the placeable to.

### setPlaceholderLock

    public static PageDefinitionAction setPlaceholderLock(PageDefinitionControl control,
                                                          int placeholder,
                                                          PageDefinitionId pageId,
                                                          String webApp)

  Creates an update secuity policy on a placholder when the action is executed.

  Parameters
    `control` - the control to execute the action on.
    `placeholder` - The index of the placeholder on the page.
    `pageId` - the ID of the page
    `webApp` - the web application name

### removePlaceholderLock

    public static PageDefinitionAction removePlaceholderLock(PageDefinitionControl control,
                                                             int placeholder,
                                                             PageDefinitionId pageId,
                                                             String webApp)

  Removes the update security policy on a placeholder when the action is executed.

  Parameters
    `control` - the control to execute the action on.
    `placeholder` - The index of the placeholder on the page.
    `pageId` - the ID of the page
    `webApp` - the web application name

### movePlaceableInPageDefinition

    public static PageDefinitionAction movePlaceableInPageDefinition(PageDefinitionControl control,
                                                                     PlaceableInstanceId placeableId,
                                                                     int placeholder,
                                                                     int position,
                                                                     PageDefinitionId pageId)

  Used to change the position of a book or portlet in a page when the action is executed.

  Parameters
    `control` - the control to execute the action on.
    `placeableId` - The id of the book or portlet to move.
    `placeholder` - The index of the placeholder on the page.
    `position` - The updated position of the book or portlet
    `pageId` - the ID of the page

### removePlaceableFromPageDefinition

    public static PageDefinitionAction removePlaceableFromPageDefinition(PageDefinitionControl control,
                                                                         PlaceableInstanceId placeableId,
                                                                         PageDefinitionId pageId)

  Removes a book or portlet from a page definition when the action is executed.

  Parameters
    `control` - the control to execute the action on.
    `placeableId` - The id of the book or portlet to remove from a page.
    `pageId` - the ID of the page

### doAction

    public void doAction(ResourceContext context)
                  throws Exception

  Method that actually performs the action on the control.

  Specified by:
    `doAction` in interface `ControlAction`
  Specified by:
    `doAction` in class `PortalControlAction`
  Throws
    `Exception`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.